Search tokens
curl --request GET \
--url https://public-backend.socket.tech/v3/swap/tokens/searchimport requests
url = "https://public-backend.socket.tech/v3/swap/tokens/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://public-backend.socket.tech/v3/swap/tokens/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"statusCode": 200,
"result": {
"tokens": {
"8453": [
{
"chainId": 8453,
"address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"name": "USDC",
"symbol": "USDC",
"decimals": 6,
"logoURI": "https://assets.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
"isShortListed": false,
"tags": [],
"trendingRank": 4,
"marketCap": 75987436982,
"totalVolume": 14895044788,
"balance": "0",
"balanceInUsd": 0,
"isVerified": true
}
],
"42161": [
{
"chainId": 42161,
"address": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",
"name": "USDC",
"symbol": "USDC",
"decimals": 6,
"logoURI": "https://assets.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
"icon": "https://assets.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
"isShortListed": false,
"tags": [],
"trendingRank": 4,
"marketCap": 75987436982,
"totalVolume": 14895044788,
"balance": "0",
"balanceInUsd": 0,
"isVerified": true
}
]
}
},
"message": null
}Supported Chains & Token List
Search tokens
GET
/
v3
/
swap
/
tokens
/
search
Search tokens
Query Parameters
Search query for token address, name or symbol. Does partial matching too
Example:
"ETH"
User wallet address
Example:
"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
Alias for userAddress. Kept for clients that pass the wallet address as address.
Example:
"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
Response
200 - application/json
V3 swap token search results grouped by chain ID.
⌘I